org.apache.datasketches.theta

## Interface HashIterator

    public interface HashIterator

This is used to iterate over the retained hash values of the Theta sketch.

Author:
  Lee Rhodes

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `get()` Gets the hash value
`boolean` `next()` Returns true at the next hash value in sequence.

### Method Detail

#### get

    long get()

Gets the hash value

Returns:
  the hash value

#### next

    boolean next()

Returns true at the next hash value in sequence. If false, the iteration is done.

Returns:
  true at the next hash value in sequence.